> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Thông tin tiền

> Cung cấp thông tin số dư tài khoản



## OpenAPI

````yaml https://cdn.entrade.com.vn/dnse-openapi/doc/dnse-openapi-2026-07-23.yaml get /accounts/{accountNo}/balances
openapi: 3.0.0
info:
  title: OpenAPI-V2-Spec 260730
  version: 1.0.0
  description: DNSE OpenAPI spec and tests
servers:
  - url: https://openapi-uat.dnse.com.vn
security: []
paths:
  /accounts/{accountNo}/balances:
    parameters:
      - name: accountNo
        in: path
        required: true
        description: Số tiểu khoản
        deprecated: false
        schema:
          type: string
        example: '0001179019'
    get:
      tags:
        - account
      summary: Thông tin tiền
      description: Cung cấp thông tin số dư tài khoản
      parameters:
        - name: X-API-Key
          in: header
          required: true
          description: API Key được cấp khi đăng ký dịch vụ
          deprecated: false
          schema:
            type: string
          example: '{{apiKey}}'
        - name: X-Aux-Date
          in: header
          required: true
          description: Thời gian thực hiện yêu cầu
          deprecated: false
          schema:
            type: string
          example: '{{date}}'
        - name: X-Signature
          in: header
          required: true
          description: Chữ ký xác thực yêu cầu
          deprecated: false
          schema:
            type: string
          example: '{{signature}}'
        - name: version
          in: header
          description: API version (YYYY-MM-DD)
          schema:
            type: string
            format: date
          example: '2026-07-23'
      responses:
        '200':
          description: OK
          headers:
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: true
            Access-Control-Allow-Headers:
              schema:
                type: string
              example: >-
                Content-Type, Authorization, X-Request-ID, Accept, Origin,
                X-Requested-With
            Access-Control-Allow-Methods:
              schema:
                type: string
              example: GET, POST, PUT, DELETE, OPTIONS, PATCH
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Max-Age:
              schema:
                type: integer
              example: 86400
            Content-Length:
              schema:
                type: integer
              example: 464
            Date:
              schema:
                type: string
              example: Tue, 24 Mar 2026 03:14:00 GMT
            Vary:
              schema:
                type: string
              example: Origin
            X-Ratelimit-Limit:
              schema:
                type: integer
              example: 300
            X-Ratelimit-Remaining:
              schema:
                type: integer
              example: 299
            X-Ratelimit-Reset:
              schema:
                type: integer
              example: 1774322040
            X-Request-Id:
              schema:
                type: string
              example: unknown
            X-Tyk-Api-Expires:
              schema:
                type: string
              example: Thu, 02 Jan 3000 15:04:00 UTC
          content:
            application/json:
              schema:
                type: object
                properties:
                  stock:
                    type: object
                    description: Thông tin tài sản chứng khoán cơ sở
                    properties:
                      totalCash:
                        type: integer
                        format: int32
                        example: 316338724
                        description: >-
                          Tổng tiền (Tiền mặt + Lãi tiền gửi + Tiền bán chờ về +
                          Tiền cổ tức chờ về - Tiền mua trong ngày)
                      availableCash:
                        type: integer
                        format: int32
                        example: 316341327
                        description: Tiền mặt hiện có
                      depositInterest:
                        type: integer
                        format: int32
                        example: 71570
                        description: Lãi tiền gửi không kỳ hạn
                      totalDebt:
                        type: integer
                        format: int32
                        example: 9491548
                        description: Tổng nợ (Nợ margin tạm thu + Nợ margin còn lại)
                      depositFeeAmount:
                        type: integer
                        format: int32
                        example: 4122
                        description: Phí lưu ký.
                      secureAmount:
                        type: integer
                        format: int32
                        example: 11174173
                        description: Tổng tiền ký quỹ.
                      orderSecured:
                        type: integer
                        format: int32
                        example: 7903713
                        description: Số tiền đang được phong tỏa cho các lệnh giao dịch.
                      withdrawableCash:
                        type: integer
                        format: int32
                        example: 312369318
                        description: Tiền có thể rút.
                      cashDividendReceiving:
                        type: integer
                        format: int32
                        example: 11100000
                        description: Tiền cổ tức chờ về.
                    example:
                      totalCash: 316338724
                      availableCash: 316341327
                      depositInterest: 71570
                      totalDebt: 9491548
                      depositFeeAmount: 4122
                      secureAmount: 11174173
                      orderSecured: 7903713
                      withdrawableCash: 312369318
                      cashDividendReceiving: 11100000
                  derivative:
                    type: object
                    description: Thông tin tài sản chứng khoán phái sinh.
                    properties:
                      pendingDepositWithdraw:
                        type: integer
                        format: int32
                        example: 826996062
                        description: Tiền nộp/rút cọc chờ xử lý
                      remainSecure:
                        type: integer
                        format: int64
                        example: 120234072489
                        description: Cọc còn lại
                      usedSecure:
                        type: integer
                        format: int32
                        example: 307491492
                        description: Cọc đã sử dụng
                      pendingSecure:
                        type: integer
                        format: int32
                        example: 826996062
                        description: Cọc chờ duyệt
                      holdTaxAndFee:
                        type: integer
                        format: int32
                        example: 0
                        description: Thuế và phí tạm giữ
                      totalLoanDebt:
                        type: integer
                        format: int32
                        example: 4907500
                        description: Khoản ứng chưa hoàn
                    example:
                      pendingDepositWithdraw: 826996062
                      remainSecure: 120234072489
                      usedSecure: 307491492
                      pendingSecure: 826996062
                      holdTaxAndFee: 0
                      totalLoanDebt: 4907500
                  bond:
                    type: object
                    description: Thông tin tài sản trái phiếu
                    properties:
                      totalValue:
                        type: integer
                        format: int64
                        example: 40102762100
                        description: Tổng giá trị tài sản trái phiếu
                    example:
                      totalValue: 40102762100
                  egg:
                    type: object
                    description: Thông tin tài sản trứng vàng
                    properties:
                      totalValue:
                        type: integer
                        format: int32
                        example: 6849005
                        description: Tổng giá trị tài sản trứng
                    example:
                      totalValue: 6849005
              example:
                stock:
                  totalCash: 316338724
                  availableCash: 316341327
                  depositInterest: 71570
                  totalDebt: 9491548
                  depositFeeAmount: 4122
                  secureAmount: 11174173
                  orderSecured: 7903713
                  withdrawableCash: 312369318
                  cashDividendReceiving: 11100000
                derivative:
                  pendingDepositWithdraw: 826996062
                  remainSecure: 120234072489
                  usedSecure: 307491492
                  pendingSecure: 826996062
                  holdTaxAndFee: 0
                  totalLoanDebt: 4907500
                bond:
                  totalValue: 40102762100
                egg:
                  totalValue: 6849005
        '400':
          description: Yêu cầu không hợp lệ
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 400
                    description: Mã HTTP
                    format: int32
                  code:
                    type: string
                    example: OA-003
                    description: Mã lỗi
                  message:
                    type: string
                    example: Thông tin nhập không hợp lệ
                    description: Thông điệp lỗi
              example:
                code: OA-003
                message: Thông tin nhập không hợp lệ
                status: 400
        '500':
          description: Lỗi hệ thống
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 500
                    description: Mã HTTP
                    format: int32
                  code:
                    type: string
                    example: OA-009
                    description: Mã lỗi
                  message:
                    type: string
                    example: Lỗi hệ thống
                    description: Thông điệp lỗi
              example:
                code: OA-009
                message: Lỗi hệ thống
                status: 500

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.